Home

# Class goog.net.DefaultXmlHttpFactory

Default factory to use when creating xhr objects. You probably shouldn't be instantiating this directly, but rather using it via goog.net.XmlHttp.

extends goog.net.XmlHttpFactory

Instance Method Summary
| `createInstance() ⇒ (GearsHttpRequest|XMLHttpRequest)`
| `getProgId_() ⇒ string` Initialize the private state used by other functions.
| `internalGetOptions() ⇒ ?Object` Override this method in subclasses to preserve the caching offered by getOptions().